nixp.ru v3.0

17 января 2017,
вторник,
07:49:01 MSK

DevOps с компанией «Флант»
anonymous написал 25 июля 2005 года в 06:55 (318 просмотров) Ведет себя неопределенно; открыл 1814 темы в форуме, оставил 5575 комментариев на сайте.

Подключился я на днях к интернету по технологии adsl.

Подключил модем Zyxel OMNI ADSL USB Annex A установил драйвера (next>next>finish)

все эти действия я проделал в винде и всё заработало :)

А теперь о грустном. Запустил свой Slackware 10.1, Kernel 2.6.12, и тут же возникли проблемы.

При загрузке системы мой модем не был определён :( Далее я пошёл в google нашёл драйвера на сайте

http://accessrunner.sourceforge.net/ скачал их usbatm-20050216.tar. Затем нашёл статью по установке

вот по этому адресу http://ars.yet.ru/union/adsl/adsl03.html. Сделал всё как было описано, распаковал

архив с драйверами в /usr/src/linux/drivers/usb/atm.

Затем

# make mrproper

# make menuconfig

В menuconfig указал всё так же как было описано в статье, но в USB Support —> я необнаружил меню USB DSL modem support —>

и тем более там не было Conexant AccessRunner USB support. Подскажите что делать ? Я уже три дня с этим ядром вожусь

и всё без результатно. Даже пробовал 2.6.10 ставить но с ним та же история.

Sasha2

В статье же етко в самом начале говорится? начиная с каких версий ядра есть поддержка для твоего модем

ДЛя этого не надо наверно скачивать с ИНтернета патчи к ядру? а просто в своем дистрибутиве найти необходимые модули поддержки для этих модемов

Sasha2

Да и еще вдогон.

У Slackware есть своя собственная утилита конфигурированя сети.

anonymous
Sasha2
В статье же етко в самом начале говорится? начиная с каких версий ядра есть поддержка для твоего модем

ДЛя этого не надо наверно скачивать с ИНтернета патчи к ядру? а просто в своем дистрибутиве найти необходимые модули поддержки для этих модемов

Хм… (На момент написания этого документа ни в одном из дистрибутивов не было в ядре поддержки модуля для этих модемов.

Идем на сайт http://www.kernel.org/ и скачиваем «последнее» стабильное свежее ядро (здесь linux-2.6.11.6.tar.bz2).

Идем на сайт разработчика драйвера http://accessrunner.sourceforge.net/ скачиваем драйвер (здесь usbatm-20050216.tar.bz2)

заодно смотрим какие модемы поддерживаются этим драйвером. )

Где это ты прочитал что поддержка моего модема уже есть в последних версиях ядра ?

Sasha2

Ну ты же читай внимательно свой же документ.

Там ведь четко говорится, что поддержки не было не на момент выхода твоего ядра, а на момент написания документа.

Твое ядро вышло скорее значительно позднее, чем был написан этот документ.

Sasha2

Вообще хочу еще добавить следующее:

1) В сети огромное кол-во документов, посвященных этому модему и если не полусчается в соответствии с одним, попытайся воспользоваться другим.

Набери в Google AusLinx+2006+Linux и ты увидишь море информации.

2) Всем любителям USB модемов, ну не понимаю, зачем эта голоная боль, ну возьмите нормальный LAN модем. У меня вот тоже стоит ADSL, но через LAN. Ну все что нужно мне было, так это на сетевой карте выставить 10.0.0.0 / 255.255.255.0

и все сразу заработало (и в SuSe и в Gentoo, д и вдругих дистрибутивах).

Ну стоимость этого модема на 1000 рублей больше, чем ADSL, зато потом мороки наверно уж точно на 3000 будет.

Ну не берите USB модемы (какой-то вообще стрем, сетевая карта, повешенная на USB порт).

Ну много было устройств, которые в WIndows поддерживались, а в Linux нет. Приходит время и их прекращают даже в Windows поддерживать. Скорее тоже самое произойдет и с USB модемами (правда это ИМХО).

ecobeingecobeing.ru
Экология и вегетарианство на благо всем живым существам Планеты.